# Get Thread (/api-reference/get-thread-3)

<!-- agent-signals: reading_time_min: 5 · est_tokens: 3901 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Get Thread

`GET /v0/threads/{thread_id}`

Get Thread

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "thread_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "ThreadId",
        "type": "string",
        "description": "ID of thread."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "Thread",
            "type": "object",
            "properties": {
              "inbox_id": {
                "title": "inboxesInboxId",
                "type": "string",
                "description": "ID of inbox."
              },
              "thread_id": {
                "title": "ThreadId",
                "type": "string",
                "description": "ID of thread."
              },
              "labels": {
                "title": "ThreadLabels",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Labels of thread."
              },
              "timestamp": {
                "title": "ThreadTimestamp",
                "type": "string",
                "format": "date-time",
                "description": "Timestamp of last sent or received message."
              },
              "received_timestamp": {
                "title": "ThreadReceivedTimestamp",
                "type": "string",
                "format": "date-time",
                "description": "Timestamp of last received message."
              },
              "sent_timestamp": {
                "title": "ThreadSentTimestamp",
                "type": "string",
                "format": "date-time",
                "description": "Timestamp of last sent message."
              },
              "senders": {
                "title": "ThreadSenders",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Senders in thread. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "recipients": {
                "title": "ThreadRecipients",
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "Recipients in thread. In format `username@domain.com` or `Display Name <username@domain.com>`."
              },
              "subject": {
                "title": "ThreadSubject",
                "type": "string",
                "description": "Subject of thread."
              },
              "preview": {
                "title": "ThreadPreview",
                "type": "string",
                "description": "Text preview of last message in thread."
              },
              "attachments": {
                "title": "ThreadAttachments",
                "type": "array",
                "items": {
                  "title": "Attachment",
                  "type": "object",
                  "properties": {
                    "attachment_id": {
                      "title": "AttachmentId",
                      "type": "string",
                      "description": "ID of attachment."
                    },
                    "filename": {
                      "title": "AttachmentFilename",
                      "type": "string",
                      "description": "Filename of attachment."
                    },
                    "size": {
                      "title": "AttachmentSize",
                      "type": "integer",
                      "description": "Size of attachment in bytes."
                    },
                    "content_type": {
                      "title": "AttachmentContentType",
                      "type": "string",
                      "description": "Content type of attachment."
                    },
                    "content_disposition": {
                      "title": "AttachmentContentDisposition",
                      "type": "string",
                      "enum": [
                        "inline",
                        "attachment"
                      ],
                      "description": "Content disposition of attachment."
                    },
                    "content_id": {
                      "title": "AttachmentContentId",
                      "type": "string",
                      "description": "Content ID of attachment."
                    }
                  },
                  "required": [
                    "attachment_id",
                    "size"
                  ]
                },
                "description": "Attachments in thread."
              },
              "last_message_id": {
                "title": "ThreadLastMessageId",
                "type": "string",
                "description": "ID of last message in thread."
              },
              "message_count": {
                "title": "ThreadMessageCount",
                "type": "integer",
                "description": "Number of messages in thread."
              },
              "size": {
                "title": "ThreadSize",
                "type": "integer",
                "description": "Size of thread in bytes."
              },
              "updated_at": {
                "title": "ThreadUpdatedAt",
                "type": "string",
                "format": "date-time",
                "description": "Time at which thread was last updated."
              },
              "created_at": {
                "title": "ThreadCreatedAt",
                "type": "string",
                "format": "date-time",
                "description": "Time at which thread was created."
              },
              "messages": {
                "type": "array",
                "items": {
                  "title": "Message",
                  "type": "object",
                  "properties": {
                    "inbox_id": {
                      "title": "inboxesInboxId",
                      "type": "string",
                      "description": "ID of inbox."
                    },
                    "thread_id": {
                      "title": "ThreadId",
                      "type": "string",
                      "description": "ID of thread."
                    },
                    "message_id": {
                      "title": "MessageId",
                      "type": "string",
                      "description": "ID of message."
                    },
                    "labels": {
                      "title": "MessageLabels",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Labels of message."
                    },
                    "timestamp": {
                      "title": "MessageTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which message was sent or drafted."
                    },
                    "from": {
                      "title": "MessageFrom",
                      "type": "string",
                      "description": "Address of sender. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "reply_to": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "nullable": true,
                      "description": "Reply-to addresses. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "to": {
                      "title": "MessageTo",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "cc": {
                      "title": "MessageCc",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of CC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "bcc": {
                      "title": "MessageBcc",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Addresses of BCC recipients. In format `username@domain.com` or `Display Name <username@domain.com>`."
                    },
                    "subject": {
                      "title": "MessageSubject",
                      "type": "string",
                      "description": "Subject of message."
                    },
                    "preview": {
                      "title": "MessagePreview",
                      "type": "string",
                      "description": "Text preview of message."
                    },
                    "text": {
                      "title": "MessageText",
                      "type": "string",
                      "description": "Plain text body of message."
                    },
                    "html": {
                      "title": "MessageHtml",
                      "type": "string",
                      "description": "HTML body of message."
                    },
                    "extracted_text": {
                      "type": "string",
                      "nullable": true,
                      "description": "Extracted new text content."
                    },
                    "extracted_html": {
                      "type": "string",
                      "nullable": true,
                      "description": "Extracted new HTML content."
                    },
                    "attachments": {
                      "title": "MessageAttachments",
                      "type": "array",
                      "items": {
                        "title": "Attachment",
                        "type": "object",
                        "properties": {
                          "attachment_id": {
                            "title": "AttachmentId",
                            "type": "string",
                            "description": "ID of attachment."
                          },
                          "filename": {
                            "title": "AttachmentFilename",
                            "type": "string",
                            "description": "Filename of attachment."
                          },
                          "size": {
                            "title": "AttachmentSize",
                            "type": "integer",
                            "description": "Size of attachment in bytes."
                          },
                          "content_type": {
                            "title": "AttachmentContentType",
                            "type": "string",
                            "description": "Content type of attachment."
                          },
                          "content_disposition": {
                            "title": "AttachmentContentDisposition",
                            "type": "string",
                            "enum": [
                              "inline",
                              "attachment"
                            ],
                            "description": "Content disposition of attachment."
                          },
                          "content_id": {
                            "title": "AttachmentContentId",
                            "type": "string",
                            "description": "Content ID of attachment."
                          }
                        },
                        "required": [
                          "attachment_id",
                          "size"
                        ]
                      },
                      "description": "Attachments in message."
                    },
                    "in_reply_to": {
                      "title": "MessageInReplyTo",
                      "type": "string",
                      "description": "ID of message being replied to."
                    },
                    "references": {
                      "title": "MessageReferences",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "IDs of previous messages in thread."
                    },
                    "headers": {
                      "title": "MessageHeaders",
                      "type": "object",
                      "additionalProperties": {
                        "type": "string"
                      },
                      "description": "Headers in message."
                    },
                    "size": {
                      "title": "MessageSize",
                      "type": "integer",
                      "description": "Size of message in bytes."
                    },
                    "updated_at": {
                      "title": "MessageUpdatedAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which message was last updated."
                    },
                    "created_at": {
                      "title": "MessageCreatedAt",
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which message was created."
                    }
                  },
                  "required": [
                    "inbox_id",
                    "thread_id",
                    "message_id",
                    "labels",
                    "timestamp",
                    "from",
                    "to",
                    "size",
                    "updated_at",
                    "created_at"
                  ]
                },
                "description": "Messages in thread. Ordered by `timestamp` ascending."
              }
            },
            "required": [
              "inbox_id",
              "thread_id",
              "labels",
              "timestamp",
              "senders",
              "recipients",
              "last_message_id",
              "message_count",
              "size",
              "updated_at",
              "created_at",
              "messages"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
